Bug 199539 - CVE-2006-3694 Insecure operations in the certain safe-level restrictions
CVE-2006-3694 Insecure operations in the certain safe-level restrictions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
source=debian,reported=20060712,impac...
: Security
Depends On: 199538
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 04:42 EDT by Akira TAGOH
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0604
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 16:33:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2006-07-20 04:42:09 EDT
+++ This bug was initially created as a clone of Bug #199538 +++

Description of problem:
Vulnerabilities has been reported in Ruby, which can be proceeded insecure
operations that originally wasn't expected in the certain safe-level restrictions.

Version-Release number of selected component (if applicable):
all versions of Ruby without any exceptions, such as 1.6.x and 1.8.x.

How reproducible:
always

Steps to Reproduce:
1.ruby dir_jvn13947696.rb
2.ruby dir_jvn13947696_2.rb
3.
  
Actual results:
no exceptions.

Expected results:
$ ruby dir_jvn13947696.rb
dir_jvn13947696.rb:5:in `read': Insecure: operation on untainted Dir (SecurityError)
        from dir_jvn13947696.rb:3:in `join'
        from dir_jvn13947696.rb:3
$ ruby dir_jvn13947696_2.rb
dir_jvn13947696_2.rb:5:in `close': Insecure: can't close (SecurityError)
        from dir_jvn13947696_2.rb:3:in `join'
        from dir_jvn13947696_2.rb:3


Additional info:
This affects to RHEL2.1, 3 and 4 as well.
Comment 1 Akira TAGOH 2006-07-20 04:43:26 EDT
See Bug#199538 for the testcases.
Comment 3 Akira TAGOH 2006-07-21 08:47:36 EDT
Fixed packages has been built.
Comment 7 Red Hat Bugzilla 2006-07-27 16:33:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0604.html

Note You need to log in before you can comment on or make changes to this bug.